Name:		geos
Version:	3.5.0
Release:	%mkrel 1
Summary:	GEOS (Geometry Engine, Open Source) topology library
License:	LGPLv2+
Group:		Sciences/Geosciences
Url:		http://trac.osgeo.org/geos
Source:		http://download.osgeo.org/geos/%{name}-%{version}.tar.bz2
BuildRequires:	multiarch-utils

%description
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

#-----------------------------------------------------------------------------

%define major 3
%define libname	%mklibname geos %{major}

%package -n %{libname}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences
Provides:	%{name} lib%{name}

%description -n %{libname}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{libname}
%{_libdir}/libgeos-%{version}.so

#-----------------------------------------------------------------------------

%define major_c	1
%define libname_c %mklibname geos_c %{major_c}

%package -n %{libname_c}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences

%description -n %{libname_c}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{libname_c}
%{_libdir}/libgeos_c.so.%{major_c}{,.*}

#-----------------------------------------------------------------------------

%define devel_name	%mklibname %{name} -d

%package -n %{devel_name}
Summary:	Development Libraries for the GEOS topology library
Group:		Sciences/Geosciences
Requires:	%{libname} = %{version}
Requires:	%{libname_c} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	libgeos-devel = %{version}
Obsoletes:	%{mklibname -d geos 3}

%description -n %{devel_name}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{devel_name}
%_bindir/geos-config
%_includedir/*
%_libdir/*.so
%multiarch %{multiarch_bindir}/geos-config
%exclude %{_libdir}/libgeos-%{version}.so

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%make_install
%multiarch_binaries %buildroot%{_bindir}/geos-config

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Sat Apr 16 2016 shlomif <shlomif> 3.5.0-1.mga6
+ Revision: 1002874
- New version 3.5.0

* Thu Feb 11 2016 umeabot <umeabot> 3.4.2-6.mga6
+ Revision: 954041
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 cjw <cjw> 3.4.2-5.mga6
+ Revision: 870429
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 3.4.2-4.mga5
+ Revision: 741002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4.2-3.mga5
+ Revision: 679506
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.4.2-2.mga4
+ Revision: 534995
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 3.4.2-1.mga4
+ Revision: 480678
- new version 3.4.2

* Wed Jun 26 2013 fwang <fwang> 3.3.8-1.mga4
+ Revision: 446801
- new version 3.3.8

* Thu Jan 17 2013 obgr_seneca <obgr_seneca> 3.3.6-1.mga3
+ Revision: 389214
- New version 3.3.6

* Sat Jan 12 2013 umeabot <umeabot> 3.3.4-2.mga3
+ Revision: 351402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 obgr_seneca <obgr_seneca> 3.3.4-1.mga3
+ Revision: 262118
- New version 3.3.4

* Mon Jun 04 2012 obgr_seneca <obgr_seneca> 3.3.3-1.mga3
+ Revision: 253982
- New version 3.3.3

* Tue Jan 17 2012 obgr_seneca <obgr_seneca> 3.3.2-1.mga2
+ Revision: 197240
- new version 3.3.2

* Wed Nov 02 2011 obgr_seneca <obgr_seneca> 3.3.1-1.mga2
+ Revision: 161878
- new version 3.3.1

* Tue Sep 27 2011 obgr_seneca <obgr_seneca> 3.3.0-1.mga2
+ Revision: 149389
- new version 3.3.0

* Thu Mar 24 2011 ennael <ennael> 3.2.2-2.mga1
+ Revision: 76892
- imported package geos

